Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class UpdateResponse

    java.lang.Object
      org.jboss.portal.wsrp.core.UpdateResponse

All Implemented Interfaces:
  java.io.Serializable

    public class UpdateResponse

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected MarkupContext` | `markupContext`
`protected java.lang.String` | `navigationalState`
`protected java.lang.String` | `newMode`
`protected java.lang.String` | `newWindowState`
`protected PortletContext` | `portletContext`
`protected SessionContext` | `sessionContext`

Constructor Summary
`UpdateResponse()`
`UpdateResponse(SessionContext sessionContext, PortletContext portletContext, MarkupContext markupContext, java.lang.String navigationalState, java.lang.String newWindowState, java.lang.String newMode)`

Method Summary
`MarkupContext` | `getMarkupContext()`
`java.lang.String` | `getNavigationalState()`
`java.lang.String` | `getNewMode()`
`java.lang.String` | `getNewWindowState()`
`PortletContext` | `getPortletContext()`
`SessionContext` | `getSessionContext()`
`void` | `setMarkupContext(MarkupContext markupContext)`
`void` | `setNavigationalState(java.lang.String navigationalState)`
`void` | `setNewMode(java.lang.String newMode)`
`void` | `setNewWindowState(java.lang.String newWindowState)`
`void` | `setPortletContext(PortletContext portletContext)`
`void` | `setSessionContext(SessionContext sessionContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sessionContext

    protected SessionContext sessionContext

### portletContext

    protected PortletContext portletContext

### markupContext

    protected MarkupContext markupContext

### navigationalState

    protected java.lang.String navigationalState

### newWindowState

    protected java.lang.String newWindowState

### newMode

    protected java.lang.String newMode

Constructor Detail

### UpdateResponse

    public UpdateResponse()

### UpdateResponse

    public UpdateResponse(SessionContext sessionContext,
                          PortletContext portletContext,
                          MarkupContext markupContext,
                          java.lang.String navigationalState,
                          java.lang.String newWindowState,
                          java.lang.String newMode)

Method Detail

### getSessionContext

    public SessionContext getSessionContext()

### setSessionContext

    public void setSessionContext(SessionContext sessionContext)

### getPortletContext

    public PortletContext getPortletContext()

### setPortletContext

    public void setPortletContext(PortletContext portletContext)

### getMarkupContext

    public MarkupContext getMarkupContext()

### setMarkupContext

    public void setMarkupContext(MarkupContext markupContext)

### getNavigationalState

    public java.lang.String getNavigationalState()

### setNavigationalState

    public void setNavigationalState(java.lang.String navigationalState)

### getNewWindowState

    public java.lang.String getNewWindowState()

### setNewWindowState

    public void setNewWindowState(java.lang.String newWindowState)

### getNewMode

    public java.lang.String getNewMode()

### setNewMode

    public void setNewMode(java.lang.String newMode)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD